curl --request GET \
--url https://api.cnap.tech/v1/quotas \
--header 'Authorization: Bearer <token>'[
{
"metric": "compute/machines",
"type": "allocation",
"display_name": "Compute machines",
"unit": "count",
"limit": 1,
"usage": 0,
"remaining": 1,
"resets_at": "<string>"
}
]Returns current usage and limits for all quota metrics. Allocation and rate quotas are per-user across all workspaces. Concurrency quotas are per-cluster — pass cluster_id to include them.
curl --request GET \
--url https://api.cnap.tech/v1/quotas \
--header 'Authorization: Bearer <token>'[
{
"metric": "compute/machines",
"type": "allocation",
"display_name": "Compute machines",
"unit": "count",
"limit": 1,
"usage": 0,
"remaining": 1,
"resets_at": "<string>"
}
]Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Cluster ID to include concurrency quotas
Quota info for all metrics
Metric: service/resource
"compute/machines"
allocation, rate, concurrency "allocation"
"Compute machines"
count, cores, bytes, count/day
"count"
1
0
1
For rate quotas: ISO 8601 reset time